summaryrefslogtreecommitdiffstats
path: root/scripts/binutils-version.sh
diff options
context:
space:
mode:
authorMasahiro Yamada <yamada.m@jp.panasonic.com>2013-11-28 16:29:23 +0900
committerTom Rini <trini@ti.com>2013-12-13 09:18:45 -0500
commitdd88ab325cfcc7f803afd40600571b3f9c79319c (patch)
treea5c326330eec571614f1104badcfc41dcbd83661 /scripts/binutils-version.sh
parent392ba5256ab9bf017a9b7320ef0cee98862c908d (diff)
downloadblackbird-obmc-uboot-dd88ab325cfcc7f803afd40600571b3f9c79319c.tar.gz
blackbird-obmc-uboot-dd88ab325cfcc7f803afd40600571b3f9c79319c.zip
Makefile: Move some scripts imported from Linux
We have some scripts imported from Linux Kernel: setlocalversion, checkstack.pl, checkpatch.pl, cleanpatch They are located under tools/ directory in U-Boot now. But they were originally located under scripts/ directory in Linux Kernel. This commit moves them to the original location. It is true that binutils-version.sh and dtc-version.sh do not originate in Linux Kernel, but they should be moved by analogy to gcc-version.sh. Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com>
Diffstat (limited to 'scripts/binutils-version.sh')
-rw-r--r--scripts/binutils-version.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/binutils-version.sh b/scripts/binutils-version.sh
new file mode 100644
index 0000000000..d4d9eb4361
--- /dev/null
+++ b/scripts/binutils-version.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# binutils-version [-p] gas-command
+#
+# Prints the binutils version of `gas-command' in a canonical 4-digit form
+# such as `0222' for binutils 2.22
+#
+
+gas="$*"
+
+if [ ${#gas} -eq 0 ]; then
+ echo "Error: No assembler specified."
+ printf "Usage:\n\t$0 <gas-command>\n"
+ exit 1
+fi
+
+MAJOR=$($gas --version | head -1 | awk '{print $NF}' | cut -d . -f 1)
+MINOR=$($gas --version | head -1 | awk '{print $NF}' | cut -d . -f 2)
+
+printf "%02d%02d\\n" $MAJOR $MINOR
OpenPOWER on IntegriCloud